View Issue Details

IDProjectCategoryView StatusLast Update
0031674RunnerHTML5Public2020-03-25 16:31
ReporterYellowAfterlifeAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSWindows 10 ProOS Version>=18362
Product VersionInternal Build 
Target Version2.3.0Fixed in Version2.3.0 
Summary0031674: HTML5: string(undefined) is "null"
DescriptionThe culprit lies in doing
if (arg == null)
instead of
if (arg === null)

Bonus: the function later does .toFixed(2).toString(), but toFixed already returns a string.
Tagsfunctions, html5
1.4 Found In
2.x Runtime Found In9.9.1.1722
2.x Runtime Verified In

Activities

YellowAfterlife

2020-03-16 13:03

Developer  

a_bug.yyz (8,650 bytes)

Russell Kay

2020-03-18 14:20

Manager   ~0065511

Fixed in gitlab

Alice

2020-03-25 15:56

Adminstrator   ~0065522

Verified fixed on IDE v23.1.1.128 Runtime v23.1.1.110. Closing the bug.
Thank you.